Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06167 Graphics Minor Always Mar 28, 2016, 18:14 Mar 30, 2016, 03:45
Tester StHiryu View Status Public Platform MESS (Official Binary)
Assigned To Resolution No change required OS Windows Vista/7/8 (64-bit)
Status [?] Closed Driver megadriv.cpp
Version 0.171 Fixed in Version Build 64-bit
Summary MESS-specific 06167: [megadriv] worldill: Graphic bug on orange jellie at level 4 (Only tested the euro version, may exist in other regions)
Description The orange jellies at the level 4 aren't rendered well, they should look like the flying jelly planes at the same level.
Steps To Reproduce Play and reach the level 4, at the sublevel cake world
Additional Information I've played the original megadrive version and i remember the orange jellies clearly. Unfortunately i can't show any snap because i lost the game some years ago, and all the videos from youtube show the same problem.
I've attached 2 snaps:

One with the incorrect jellies rendering (Jelliesbad)
Another one the jellies should be (like the flying plane) (Jelliesgood)
Flags Verified with Original
Regression Version
Affected Sets / Systems [megadriv] worldill
Attached Files
zip file icon Jellies.zip (851,831 bytes) Mar 28, 2016, 18:14 Uploaded by StHiryu
jpg file icon shinobi3.jpg (134,585 bytes) Mar 30, 2016, 00:50 Uploaded by StHiryu
StHiryu
Relationships
There are no relationsihp linked to this issue.
Notes
7
User avatar
No.12487
Haze
Senior Tester
Mar 29, 2016, 08:32
this doesn't look like a bug, the 'jailbars' effect is the standard way of doing transparency effects on hardware or creating colour variations on that doesn't natively support them
User avatar
No.12488
NekoEd
Senior Tester
Mar 29, 2016, 15:36
You added the "Verified with Original" flag; can you provide evidence? (Screenshots/video of the game on real hardware, preferably HW capture in this case)
User avatar
No.12489
StHiryu
Tester
Mar 30, 2016, 00:49
edited on: Mar 30, 2016, 00:53
I've found the same problem in shinobi3, with the water effect at the round 4-2.
Here's a video with the water in mame/mess (Look at min 18:00)

I' ve uploaded an snap with the correct water (shinobi3.jpg) from my real megadrive and shinobi 3 euro cartridge.

About World of Illusion, i'm waiting for a snap of the original game, i've found 2 guys who own it and could do it for me

User avatar
No.12490
Haze
Senior Tester
Mar 30, 2016, 02:19
edited on: Mar 30, 2016, 02:30
they're not bugs, as I said, this is the only way you can do transparency effects on the genesis (outside of the basic shadow/highlight effect)

they looked better on a TV because TVs didn't have sharp displays.

you'll find hundreds of games doing this, it was a common technique.

things like Duke Nukem 3D on the Genesis rely entirely on this technique for shading too.

User avatar
No.12491
StHiryu
Tester
Mar 30, 2016, 02:35
Haze is right, but it looks very bad, any way to simulate TV on mame?
User avatar
No.12492
Haze
Senior Tester
Mar 30, 2016, 02:59
the HLSL filters are designed for that, there's even an NTSC simulation in there.

needs quite a beefy graphic card, but does bring things a lot closer to the 'bad old TV' look.
User avatar
No.12494
NekoEd
Senior Tester
Mar 30, 2016, 03:45
Since this isn't a valid bug, I'm going to close this. As Haze said, if you have a powerful graphics card you can use HLSL/BGFX filters to mimic using an NTSC TV set which will make it appear as intended.